Displaying 1 result from an estimated 1 matches for "73d44fa".
2017 Oct 09
1
[PATCH nbdkit] tests/tls: fix qemu-img check
...ce check: hence, which to `command` for checking the presence of
qemu-img.
Also, check that qemu-img actually has the --object option, since the
test uses it.
---
tests/test-tls.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/tests/test-tls.sh b/tests/test-tls.sh
index 73d44fa..7a6c949 100755
--- a/tests/test-tls.sh
+++ b/tests/test-tls.sh
@@ -40,10 +40,14 @@ if ! ss --version; then
echo "$0: 'ss' command not available"
exit 77
fi
-if ! qemu-img --help; then
+if ! command -v qemu-img > /dev/null; then
echo "$0: 'qemu-img'...